# Class GetPaymentMethodsReply

#### Hierarchy

- unknown
  - GetPaymentMethodsReply

- Defined in src/protobuf/grpc_pb.d.ts:1884
- Defined in src/protobuf/grpc_pb.d.ts:1898

#####
Index

### Constructors

constructor

### Methods

addPaymentMethods
clearPaymentMethodsList
getPaymentMethodsList
serializeBinary
setPaymentMethodsList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetPaymentMethodsReply(): GetPaymentMethodsReply

- #### Returns GetPaymentMethodsReply

  Inherited from jspb.Message.constructor

## Methods

### addPaymentMethods

- addPaymentMethods(value?: PaymentMethod, index?: number): PaymentMethod

- #### Parameters

  - ##### `Optional` value: PaymentMethod

  - ##### `Optional` index: number

  #### Returns PaymentMethod

  - Defined in src/protobuf/grpc_pb.d.ts:1888

### clearPaymentMethodsList

- clearPaymentMethodsList(): GetPaymentMethodsReply

- #### Returns GetPaymentMethodsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1887

### getPaymentMethodsList

- getPaymentMethodsList(): PaymentMethod[]

- #### Returns PaymentMethod[]

  - Defined in src/protobuf/grpc_pb.d.ts:1885

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1890

### setPaymentMethodsList

- setPaymentMethodsList(value: PaymentMethod[]): GetPaymentMethodsReply

- #### Parameters

  - ##### value: PaymentMethod[]

  #### Returns GetPaymentMethodsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1886

### toObject

- toObject(includeInstance?: boolean): GetPaymentMethodsReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetPaymentMethodsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1891

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPaymentMethodsReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPaymentMethodsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1894

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPaymentMethodsReply, reader: BinaryReader): GetPaymentMethodsReply

- #### Parameters

  - ##### message: GetPaymentMethodsReply

  - ##### reader: BinaryReader

  #### Returns GetPaymentMethodsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1895

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPaymentMethodsReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetPaymentMethodsReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1893

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetPaymentMethodsReply): GetPaymentMethodsReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPaymentMethodsReply

  #### Returns GetPaymentMethodsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1892

Generated using TypeDoc